
# Baseline.php

Baseline.php is a set of everyday functions missing from core PHP. It includes useful and usable tools for manipulating arrays/strings, accessing/moving/deleting files as well as debugging. Read documentation on this site and try it out.

Baseline.php is tested on PHP 5.2+ and released under MIT License. This documentation is always available online at [eiskis.net/baseline-php](http://eiskis.net/baseline-php/).



## Usage

[Download Baseline.php release](https://github.com/Eiskis/Baseline-PHP/blob/master/baseline.php) and include it in the beginning of your PHP script:

	require_once 'baseline.php';

You can now use Baseline.php's functions in the script.



## Documentation

All Baseline.php's functions are in the global namespace. Why? Because it's PHP we're talking about here! The docs, however, are at least categorized:

##### Some functions are still missing proper descriptions. This will be improved soon.

- [Arrays](arrays)
- [Debugging](debug)
- [Files](files)
- [Glob alternatives](glob)
- [Miscellaneous](misc)
- [Strings](strings)



## It's open-source

<a href="http://eiskis.net/"><img src="author.png" alt="Jerry Jäppinen" title="Jerry Jäppinen" class="shadows author"></a>

Baseline.php is an open-source project authored by [Jerry Jäppinen](mailto:eiskis@gmail.com) from [eiskis.net](http://eiskis.net/). It's released under [MIT License](http://opensource.org/licenses/MIT).

Development is managed at [GitHub](https://github.com/Eiskis/Baseline-PHP), where you can find the source code, development snapshots, automated tests etc. Contributions are gladly accepted as pull requests or via any other channel that suits you best. Like [Tweets](https://twitter.com/Eiskis)!
